import tw, { css, styled } from 'twin.macro';

export const StyledPixel = styled.span(
  ({ rgb: [r, g, b] }: { rgb: [number, number, number] }) => [
    tw`rounded-full h-3 w-3 bg-current block border border-gray-700`,
    css`
      color: rgb(${r}, ${g}, ${b});
    `,
  ],
);
